//
//  VerificationTokenHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/8/27.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "VerificationTokenHttpPostCmd.h"
#import "VerificationTokenHttpResult.h"

static NSString *kActionUrl1 = @"/Single/tokenValid";

@implementation VerificationTokenHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[VerificationTokenHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[VerificationTokenHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpVerificationTokenHttpPostCmd_appId = @"appId";
NSString *const kHttpVerificationTokenHttpPostCmd_tokenId = @"tokenId";
NSString *const kHttpVerificationTokenHttpPostCmd_remoteIp = @"remoteIp";
